Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class LoginConfigTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.LoginConfigTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, LoginConfigType<T>

    public class LoginConfigTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, LoginConfigType<T>

This class implements the `login-configType` xsd type

Original Documentation:

The login-configType is used to configure the authentication
method that should be used, the realm name that should be
used for this application, and the attributes that are
needed by the form login mechanism.
Used in: web-app

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`LoginConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`LoginConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`FormLoginConfigType<LoginConfigType<T>>` | `formLoginConfig()` If not already created, a new `form-login-config` element will be created and returned.
`java.lang.String` | `getAuthMethod()` Returns the `auth-method` element
`java.lang.String` | `getRealmName()` Returns the `realm-name` element
`LoginConfigType<T>` | `removeAuthMethod()` Removes the `auth-method` element
`LoginConfigType<T>` | `removeFormLoginConfig()` Removes the `form-login-config` element
`LoginConfigType<T>` | `removeRealmName()` Removes the `realm-name` element
`LoginConfigType<T>` | `setAuthMethod(java.lang.String authMethod)` If not already created, a new `auth-method` element with the given value will be created.
`LoginConfigType<T>` | `setRealmName(java.lang.String realmName)` If not already created, a new `realm-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoginConfigTypeImpl

    public LoginConfigTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### LoginConfigTypeImpl

    public LoginConfigTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setAuthMethod

    public LoginConfigType<T> setAuthMethod(java.lang.String authMethod)

  If not already created, a new `auth-method` element with the given value will be created. Otherwise, the existing `auth-method` element will be updated with the given value.

  Specified by:
    `setAuthMethod` in interface `LoginConfigType<T>`
  Returns:
    the current instance of `LoginConfigType`

### removeAuthMethod

    public LoginConfigType<T> removeAuthMethod()

  Removes the `auth-method` element

  Specified by:
    `removeAuthMethod` in interface `LoginConfigType<T>`
  Returns:
    the current instance of `LoginConfigType`

### getAuthMethod

    public java.lang.String getAuthMethod()

  Returns the `auth-method` element

  Specified by:
    `getAuthMethod` in interface `LoginConfigType<T>`
  Returns:
    the node defined for the element `auth-method`

### setRealmName

    public LoginConfigType<T> setRealmName(java.lang.String realmName)

  If not already created, a new `realm-name` element with the given value will be created. Otherwise, the existing `realm-name` element will be updated with the given value.

  Specified by:
    `setRealmName` in interface `LoginConfigType<T>`
  Returns:
    the current instance of `LoginConfigType`

### removeRealmName

    public LoginConfigType<T> removeRealmName()

  Removes the `realm-name` element

  Specified by:
    `removeRealmName` in interface `LoginConfigType<T>`
  Returns:
    the current instance of `LoginConfigType`

### getRealmName

    public java.lang.String getRealmName()

  Returns the `realm-name` element

  Specified by:
    `getRealmName` in interface `LoginConfigType<T>`
  Returns:
    the node defined for the element `realm-name`

### removeFormLoginConfig

    public LoginConfigType<T> removeFormLoginConfig()

  Removes the `form-login-config` element

  Specified by:
    `removeFormLoginConfig` in interface `LoginConfigType<T>`
  Returns:
    the current instance of `LoginConfigType`

### formLoginConfig

    public FormLoginConfigType<LoginConfigType<T>> formLoginConfig()

  If not already created, a new `form-login-config` element will be created and returned. Otherwise, the existing `form-login-config` element will be returned.

  Specified by:
    `formLoginConfig` in interface `LoginConfigType<T>`
  Returns:
    the node defined for the element `form-login-config`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD